瀏覽代碼

deps: update React Native to version 0.57

master
Saúl Ibarra Corretgé 6 年之前
父節點
當前提交
b71adbdf70

+ 17
- 1
.flowconfig 查看文件

38
 [options]
38
 [options]
39
 emoji=true
39
 emoji=true
40
 
40
 
41
+esproposal.optional_chaining=enable
42
+esproposal.nullish_coalescing=enable
43
+
41
 module.system=haste
44
 module.system=haste
45
+module.system.haste.use_name_reducers=true
46
+# get basename
47
+module.system.haste.name_reducers='^.*/\([a-zA-Z0-9$_.-]+\.js\(\.flow\)?\)$' -> '\1'
48
+# strip .js or .js.flow suffix
49
+module.system.haste.name_reducers='^\(.*\)\.js\(\.flow\)?$' -> '\1'
50
+# strip .ios suffix
51
+module.system.haste.name_reducers='^\(.*\)\.ios$' -> '\1'
52
+module.system.haste.name_reducers='^\(.*\)\.android$' -> '\1'
53
+module.system.haste.name_reducers='^\(.*\)\.native$' -> '\1'
54
+module.system.haste.paths.blacklist=.*/__tests__/.*
55
+module.system.haste.paths.blacklist=.*/__mocks__/.*
56
+module.system.haste.paths.blacklist=<PROJECT_ROOT>/node_modules/react-native/Libraries/Animated/src/polyfills/.*
57
+module.system.haste.paths.whitelist=<PROJECT_ROOT>/node_modules/react-native/Libraries/.*
42
 
58
 
43
 munge_underscores=true
59
 munge_underscores=true
44
 
60
 
67
 module.file_ext=.json
83
 module.file_ext=.json
68
 
84
 
69
 [version]
85
 [version]
70
-^0.67.0
86
+^0.78.0

+ 5
- 3
android/app/build.gradle 查看文件

2
 
2
 
3
 android {
3
 android {
4
     compileSdkVersion rootProject.ext.compileSdkVersion
4
     compileSdkVersion rootProject.ext.compileSdkVersion
5
+    buildToolsVersion rootProject.ext.buildToolsVersion
5
 
6
 
6
     defaultConfig {
7
     defaultConfig {
7
         applicationId 'org.jitsi.meet'
8
         applicationId 'org.jitsi.meet'
44
 }
45
 }
45
 
46
 
46
 dependencies {
47
 dependencies {
47
-    compile fileTree(dir: 'libs', include: ['*.jar'])
48
-    compile 'com.android.support:appcompat-v7:22.2.0'
49
-    compile 'com.google.android.gms:play-services-auth:15.0.0'
48
+    implementation fileTree(dir: 'libs', include: ['*.jar'])
49
+    implementation "com.android.support:support-v4:${rootProject.ext.supportLibVersion}"
50
+    implementation "com.android.support:appcompat-v7:${rootProject.ext.supportLibVersion}"
51
+    implementation 'com.google.android.gms:play-services-auth:15.0.0'
50
 
52
 
51
     implementation project(':sdk')
53
     implementation project(':sdk')
52
 
54
 

+ 9
- 3
android/build.gradle 查看文件

7
         jcenter()
7
         jcenter()
8
     }
8
     }
9
     dependencies {
9
     dependencies {
10
-        classpath 'com.android.tools.build:gradle:3.0.1'
10
+        classpath 'com.android.tools.build:gradle:3.1.4'
11
         classpath 'com.google.gms:google-services:3.2.1'
11
         classpath 'com.google.gms:google-services:3.2.1'
12
 
12
 
13
         // NOTE: Do not place your application dependencies here; they belong
13
         // NOTE: Do not place your application dependencies here; they belong
153
 }
153
 }
154
 
154
 
155
 ext {
155
 ext {
156
-    buildToolsVersion = "26.0.2"
157
-    compileSdkVersion = 26
156
+    buildToolsVersion = "27.0.3"
157
+    compileSdkVersion = 27
158
     minSdkVersion    = 21
158
     minSdkVersion    = 21
159
     targetSdkVersion = 26
159
     targetSdkVersion = 26
160
+    supportLibVersion = "27.1.1"
160
 
161
 
161
     // The Maven artifact groupdId of the third-party react-native modules which
162
     // The Maven artifact groupdId of the third-party react-native modules which
162
     // Jitsi Meet SDK for Android depends on and which are not available in
163
     // Jitsi Meet SDK for Android depends on and which are not available in
179
         }
180
         }
180
     }
181
     }
181
 }
182
 }
183
+
184
+task wrapper(type: Wrapper) {
185
+    gradleVersion = '4.4'
186
+    distributionUrl = distributionUrl.replace("bin", "all")
187
+}

+ 1
- 2
android/gradle.properties 查看文件

17
 # http://www.gradle.org/docs/current/userguide/multi_project_builds.html#sec:decoupled_projects
17
 # http://www.gradle.org/docs/current/userguide/multi_project_builds.html#sec:decoupled_projects
18
 # org.gradle.parallel=true
18
 # org.gradle.parallel=true
19
 
19
 
20
-android.useDeprecatedNdk=true
21
-version=1
20
+version=1

二進制
android/gradle/wrapper/gradle-wrapper.jar 查看文件


+ 1
- 1
android/gradle/wrapper/gradle-wrapper.properties 查看文件

3
 distributionPath=wrapper/dists
3
 distributionPath=wrapper/dists
4
 zipStoreBase=GRADLE_USER_HOME
4
 zipStoreBase=GRADLE_USER_HOME
5
 zipStorePath=wrapper/dists
5
 zipStorePath=wrapper/dists
6
-distributionUrl=https\://services.gradle.org/distributions/gradle-4.1-all.zip
6
+distributionUrl=https\://services.gradle.org/distributions/gradle-4.4-all.zip

+ 43
- 35
android/gradlew 查看文件

1
-#!/usr/bin/env bash
1
+#!/usr/bin/env sh
2
 
2
 
3
 ##############################################################################
3
 ##############################################################################
4
 ##
4
 ##
6
 ##
6
 ##
7
 ##############################################################################
7
 ##############################################################################
8
 
8
 
9
-# Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script.
10
-DEFAULT_JVM_OPTS=""
9
+# Attempt to set APP_HOME
10
+# Resolve links: $0 may be a link
11
+PRG="$0"
12
+# Need this for relative symlinks.
13
+while [ -h "$PRG" ] ; do
14
+    ls=`ls -ld "$PRG"`
15
+    link=`expr "$ls" : '.*-> \(.*\)$'`
16
+    if expr "$link" : '/.*' > /dev/null; then
17
+        PRG="$link"
18
+    else
19
+        PRG=`dirname "$PRG"`"/$link"
20
+    fi
21
+done
22
+SAVED="`pwd`"
23
+cd "`dirname \"$PRG\"`/" >/dev/null
24
+APP_HOME="`pwd -P`"
25
+cd "$SAVED" >/dev/null
11
 
26
 
12
 APP_NAME="Gradle"
27
 APP_NAME="Gradle"
13
 APP_BASE_NAME=`basename "$0"`
28
 APP_BASE_NAME=`basename "$0"`
14
 
29
 
30
+# Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script.
31
+DEFAULT_JVM_OPTS=""
32
+
15
 # Use the maximum available, or set MAX_FD != -1 to use that value.
33
 # Use the maximum available, or set MAX_FD != -1 to use that value.
16
 MAX_FD="maximum"
34
 MAX_FD="maximum"
17
 
35
 
18
-warn ( ) {
36
+warn () {
19
     echo "$*"
37
     echo "$*"
20
 }
38
 }
21
 
39
 
22
-die ( ) {
40
+die () {
23
     echo
41
     echo
24
     echo "$*"
42
     echo "$*"
25
     echo
43
     echo
30
 cygwin=false
48
 cygwin=false
31
 msys=false
49
 msys=false
32
 darwin=false
50
 darwin=false
51
+nonstop=false
33
 case "`uname`" in
52
 case "`uname`" in
34
   CYGWIN* )
53
   CYGWIN* )
35
     cygwin=true
54
     cygwin=true
40
   MINGW* )
59
   MINGW* )
41
     msys=true
60
     msys=true
42
     ;;
61
     ;;
62
+  NONSTOP* )
63
+    nonstop=true
64
+    ;;
43
 esac
65
 esac
44
 
66
 
45
-# For Cygwin, ensure paths are in UNIX format before anything is touched.
46
-if $cygwin ; then
47
-    [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
48
-fi
49
-
50
-# Attempt to set APP_HOME
51
-# Resolve links: $0 may be a link
52
-PRG="$0"
53
-# Need this for relative symlinks.
54
-while [ -h "$PRG" ] ; do
55
-    ls=`ls -ld "$PRG"`
56
-    link=`expr "$ls" : '.*-> \(.*\)$'`
57
-    if expr "$link" : '/.*' > /dev/null; then
58
-        PRG="$link"
59
-    else
60
-        PRG=`dirname "$PRG"`"/$link"
61
-    fi
62
-done
63
-SAVED="`pwd`"
64
-cd "`dirname \"$PRG\"`/" >&-
65
-APP_HOME="`pwd -P`"
66
-cd "$SAVED" >&-
67
-
68
 CLASSPATH=$APP_HOME/gradle/wrapper/gradle-wrapper.jar
67
 CLASSPATH=$APP_HOME/gradle/wrapper/gradle-wrapper.jar
69
 
68
 
70
 # Determine the Java command to use to start the JVM.
69
 # Determine the Java command to use to start the JVM.
90
 fi
89
 fi
91
 
90
 
92
 # Increase the maximum file descriptors if we can.
91
 # Increase the maximum file descriptors if we can.
93
-if [ "$cygwin" = "false" -a "$darwin" = "false" ] ; then
92
+if [ "$cygwin" = "false" -a "$darwin" = "false" -a "$nonstop" = "false" ] ; then
94
     MAX_FD_LIMIT=`ulimit -H -n`
93
     MAX_FD_LIMIT=`ulimit -H -n`
95
     if [ $? -eq 0 ] ; then
94
     if [ $? -eq 0 ] ; then
96
         if [ "$MAX_FD" = "maximum" -o "$MAX_FD" = "max" ] ; then
95
         if [ "$MAX_FD" = "maximum" -o "$MAX_FD" = "max" ] ; then
114
 if $cygwin ; then
113
 if $cygwin ; then
115
     APP_HOME=`cygpath --path --mixed "$APP_HOME"`
114
     APP_HOME=`cygpath --path --mixed "$APP_HOME"`
116
     CLASSPATH=`cygpath --path --mixed "$CLASSPATH"`
115
     CLASSPATH=`cygpath --path --mixed "$CLASSPATH"`
116
+    JAVACMD=`cygpath --unix "$JAVACMD"`
117
 
117
 
118
     # We build the pattern for arguments to be converted via cygpath
118
     # We build the pattern for arguments to be converted via cygpath
119
     ROOTDIRSRAW=`find -L / -maxdepth 1 -mindepth 1 -type d 2>/dev/null`
119
     ROOTDIRSRAW=`find -L / -maxdepth 1 -mindepth 1 -type d 2>/dev/null`
154
     esac
154
     esac
155
 fi
155
 fi
156
 
156
 
157
-# Split up the JVM_OPTS And GRADLE_OPTS values into an array, following the shell quoting and substitution rules
158
-function splitJvmOpts() {
159
-    JVM_OPTS=("$@")
157
+# Escape application args
158
+save () {
159
+    for i do printf %s\\n "$i" | sed "s/'/'\\\\''/g;1s/^/'/;\$s/\$/' \\\\/" ; done
160
+    echo " "
160
 }
161
 }
161
-eval splitJvmOpts $DEFAULT_JVM_OPTS $JAVA_OPTS $GRADLE_OPTS
162
-JVM_OPTS[${#JVM_OPTS[*]}]="-Dorg.gradle.appname=$APP_BASE_NAME"
162
+APP_ARGS=$(save "$@")
163
+
164
+# Collect all arguments for the java command, following the shell quoting and substitution rules
165
+eval set -- $DEFAULT_JVM_OPTS $JAVA_OPTS $GRADLE_OPTS "\"-Dorg.gradle.appname=$APP_BASE_NAME\"" -classpath "\"$CLASSPATH\"" org.gradle.wrapper.GradleWrapperMain "$APP_ARGS"
166
+
167
+# by default we should be in the correct project dir, but when run from Finder on Mac, the cwd is wrong
168
+if [ "$(uname)" = "Darwin" ] && [ "$HOME" = "$PWD" ]; then
169
+  cd "$(dirname "$0")"
170
+fi
163
 
171
 
164
-exec "$JAVACMD" "${JVM_OPTS[@]}" -classpath "$CLASSPATH" org.gradle.wrapper.GradleWrapperMain "$@"
172
+exec "$JAVACMD" "$@"

+ 4
- 10
android/gradlew.bat 查看文件

8
 @rem Set local scope for the variables with windows NT shell
8
 @rem Set local scope for the variables with windows NT shell
9
 if "%OS%"=="Windows_NT" setlocal
9
 if "%OS%"=="Windows_NT" setlocal
10
 
10
 
11
-@rem Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script.
12
-set DEFAULT_JVM_OPTS=
13
-
14
 set DIRNAME=%~dp0
11
 set DIRNAME=%~dp0
15
 if "%DIRNAME%" == "" set DIRNAME=.
12
 if "%DIRNAME%" == "" set DIRNAME=.
16
 set APP_BASE_NAME=%~n0
13
 set APP_BASE_NAME=%~n0
17
 set APP_HOME=%DIRNAME%
14
 set APP_HOME=%DIRNAME%
18
 
15
 
16
+@rem Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script.
17
+set DEFAULT_JVM_OPTS=
18
+
19
 @rem Find java.exe
19
 @rem Find java.exe
20
 if defined JAVA_HOME goto findJavaFromJavaHome
20
 if defined JAVA_HOME goto findJavaFromJavaHome
21
 
21
 
46
 goto fail
46
 goto fail
47
 
47
 
48
 :init
48
 :init
49
-@rem Get command-line arguments, handling Windowz variants
49
+@rem Get command-line arguments, handling Windows variants
50
 
50
 
51
 if not "%OS%" == "Windows_NT" goto win9xME_args
51
 if not "%OS%" == "Windows_NT" goto win9xME_args
52
-if "%@eval[2+2]" == "4" goto 4NT_args
53
 
52
 
54
 :win9xME_args
53
 :win9xME_args
55
 @rem Slurp the command line arguments.
54
 @rem Slurp the command line arguments.
60
 if "x%~1" == "x" goto execute
59
 if "x%~1" == "x" goto execute
61
 
60
 
62
 set CMD_LINE_ARGS=%*
61
 set CMD_LINE_ARGS=%*
63
-goto execute
64
-
65
-:4NT_args
66
-@rem Get arguments from the 4NT Shell from JP Software
67
-set CMD_LINE_ARGS=%$
68
 
62
 
69
 :execute
63
 :execute
70
 @rem Setup the command line
64
 @rem Setup the command line

+ 116
- 107
android/sdk/build.gradle 查看文件

19
 }
19
 }
20
 
20
 
21
 dependencies {
21
 dependencies {
22
-    compile fileTree(dir: 'libs', include: ['*.jar'])
22
+    implementation fileTree(dir: 'libs', include: ['*.jar'])
23
 
23
 
24
-    compile 'com.android.support:appcompat-v7:27.0.2'
25
-    compile 'com.dropbox.core:dropbox-core-sdk:3.0.8'
26
-    compile 'com.facebook.react:react-native:+'
24
+    implementation "com.android.support:support-v4:${rootProject.ext.supportLibVersion}"
25
+    implementation "com.android.support:appcompat-v7:${rootProject.ext.supportLibVersion}"
27
 
26
 
28
-    compile project(':react-native-background-timer')
29
-    compile project(':react-native-fast-image')
30
-    compile(project(":react-native-google-signin")) {
27
+    implementation 'com.dropbox.core:dropbox-core-sdk:3.0.8'
28
+    api 'com.facebook.react:react-native:+'
29
+
30
+    implementation project(':react-native-background-timer')
31
+    implementation project(':react-native-calendar-events')
32
+    implementation(project(':react-native-fast-image')) {
33
+        exclude group: 'com.android.support'
34
+    }
35
+    implementation(project(":react-native-google-signin")) {
31
         exclude group: 'com.google.android.gms'
36
         exclude group: 'com.google.android.gms'
37
+        exclude group: 'com.android.support'
32
     }
38
     }
33
-    compile project(':react-native-immersive')
34
-    compile project(':react-native-keep-awake')
35
-    compile project(':react-native-linear-gradient')
36
-    compile project(':react-native-locale-detector')
37
-    compile project(':react-native-sound')
38
-    compile project(':react-native-vector-icons')
39
-    compile project(':react-native-webrtc')
40
-    compile project(':react-native-calendar-events')
41
-
42
-    testCompile 'junit:junit:4.12'
39
+    implementation project(':react-native-immersive')
40
+    implementation project(':react-native-keep-awake')
41
+    implementation project(':react-native-linear-gradient')
42
+    implementation project(':react-native-locale-detector')
43
+    implementation project(':react-native-sound')
44
+    implementation project(':react-native-vector-icons')
45
+    implementation project(':react-native-webrtc')
46
+
47
+    testImplementation 'junit:junit:4.12'
43
 }
48
 }
44
 
49
 
45
-// Build process helpers
46
-//
47
 
50
 
48
-void runBefore(String dependentTaskName, Task task) {
49
-    Task dependentTask = tasks.findByPath(dependentTaskName);
50
-    if (dependentTask != null) {
51
-        dependentTask.dependsOn task
51
+// Here we bundle all assets, resources and React files. We cannot use the
52
+// react.gradle file provided by react-native because it's designed to be used
53
+// in an application (it taps into applicationVariants, but the SDK is a library
54
+// so we need libraryVariants instead).
55
+android.libraryVariants.all { def variant ->
56
+    // Create variant and target names
57
+    def targetName = variant.name.capitalize()
58
+    def targetPath = variant.dirName
59
+
60
+    // React js bundle directories
61
+    def jsBundleDir = file("$buildDir/generated/assets/react/${targetPath}")
62
+    def resourcesDir = file("$buildDir/generated/res/react/${targetPath}")
63
+
64
+    def jsBundleFile = file("$jsBundleDir/index.android.bundle")
65
+
66
+    def currentBundleTask = tasks.create(
67
+            name: "bundle${targetName}JsAndAssets",
68
+            type: Exec) {
69
+        group = "react"
70
+        description = "bundle JS and assets for ${targetName}."
71
+
72
+        // Create dirs if they are not there (e.g. the "clean" task just ran)
73
+        doFirst {
74
+            jsBundleDir.deleteDir()
75
+            jsBundleDir.mkdirs()
76
+            resourcesDir.deleteDir()
77
+            resourcesDir.mkdirs()
78
+        }
79
+
80
+        // Set up inputs and outputs so gradle can cache the result
81
+        def reactRoot = file("${projectDir}/../../")
82
+        inputs.files fileTree(dir: reactRoot, excludes: ["android/**", "ios/**"])
83
+        outputs.dir jsBundleDir
84
+        outputs.dir resourcesDir
85
+
86
+        // Set up the call to the react-native cli
87
+        workingDir reactRoot
88
+
89
+        // Set up dev mode
90
+        def devEnabled = !targetName.toLowerCase().contains("release")
91
+
92
+        // Run the bundler
93
+        commandLine(
94
+                "node",
95
+                "node_modules/react-native/local-cli/cli.js",
96
+                "bundle",
97
+                "--platform", "android",
98
+                "--dev", "${devEnabled}",
99
+                "--reset-cache",
100
+                "--entry-file", "index.android.js",
101
+                "--bundle-output", jsBundleFile,
102
+                "--assets-dest", resourcesDir)
103
+
104
+        // Disable bundling on dev builds
105
+        enabled !devEnabled
52
     }
106
     }
53
-}
54
 
107
 
55
-gradle.projectsEvaluated {
56
-    android.buildTypes.all { buildType ->
57
-        def buildNameCapitalized = "${buildType.name.capitalize()}"
58
-        def bundlePath = "${buildDir}/intermediates/bundles/${buildType.name}"
108
+    currentBundleTask.ext.generatedResFolders = files(resourcesDir).builtBy(currentBundleTask)
109
+    currentBundleTask.ext.generatedAssetsFolders = files(jsBundleDir).builtBy(currentBundleTask)
59
 
110
 
60
-        // Bundle fonts in react-native-vector-icons.
61
-        //
111
+    variant.registerGeneratedResFolders(currentBundleTask.generatedResFolders)
112
+    variant.mergeResources.dependsOn(currentBundleTask)
113
+
114
+    def assetsDir = variant.mergeAssets.outputDir
62
 
115
 
63
-        def currentFontTask = tasks.create(
64
-                name: "copy${buildNameCapitalized}Fonts",
65
-                type: Copy) {
116
+    variant.mergeAssets.doLast {
117
+        // Bundle fonts in react-native-vector-icons
118
+        //
119
+        copy {
66
             from("${projectDir}/../../fonts/jitsi.ttf")
120
             from("${projectDir}/../../fonts/jitsi.ttf")
67
             from("${projectDir}/../../node_modules/react-native-vector-icons/Fonts/")
121
             from("${projectDir}/../../node_modules/react-native-vector-icons/Fonts/")
68
-            into("${bundlePath}/assets/fonts")
122
+            into("${assetsDir}/fonts")
69
         }
123
         }
70
 
124
 
71
-        currentFontTask.dependsOn("merge${buildNameCapitalized}Resources")
72
-        currentFontTask.dependsOn("merge${buildNameCapitalized}Assets")
73
-
74
-        runBefore("processArmeabi-v7a${buildNameCapitalized}Resources", currentFontTask)
75
-        runBefore("processX86${buildNameCapitalized}Resources", currentFontTask)
76
-        runBefore("processUniversal${buildNameCapitalized}Resources", currentFontTask)
77
-        runBefore("process${buildNameCapitalized}Resources", currentFontTask)
78
-
79
-        def currentSoundsTask = tasks.create(
80
-                name: "copy${buildNameCapitalized}Sounds",
81
-                type: Copy) {
82
-             from("${projectDir}/../../sounds/joined.wav")
83
-             from("${projectDir}/../../sounds/left.wav")
84
-             from("${projectDir}/../../sounds/outgoingRinging.wav")
85
-             from("${projectDir}/../../sounds/outgoingStart.wav")
86
-             from("${projectDir}/../../sounds/recordingOn.mp3")
87
-             from("${projectDir}/../../sounds/recordingOff.mp3")
88
-             from("${projectDir}/../../sounds/rejected.wav")
89
-             into("${bundlePath}/assets/sounds")
125
+        // Bundle sounds
126
+        //
127
+        copy {
128
+            from("${projectDir}/../../sounds/joined.wav")
129
+            from("${projectDir}/../../sounds/left.wav")
130
+            from("${projectDir}/../../sounds/outgoingRinging.wav")
131
+            from("${projectDir}/../../sounds/outgoingStart.wav")
132
+            from("${projectDir}/../../sounds/recordingOn.mp3")
133
+            from("${projectDir}/../../sounds/recordingOff.mp3")
134
+            from("${projectDir}/../../sounds/rejected.wav")
135
+            into("${assetsDir}/sounds")
90
         }
136
         }
91
 
137
 
92
-        currentSoundsTask.dependsOn("merge${buildNameCapitalized}Resources")
93
-        currentSoundsTask.dependsOn("merge${buildNameCapitalized}Assets")
94
-
95
-        runBefore("processArmeabi-v7a${buildNameCapitalized}Resources", currentSoundsTask)
96
-        runBefore("processX86${buildNameCapitalized}Resources", currentSoundsTask)
97
-        runBefore("processUniversal${buildNameCapitalized}Resources", currentSoundsTask)
98
-        runBefore("process${buildNameCapitalized}Resources", currentSoundsTask)
99
-
100
-        // Bundle JavaScript and React resources.
101
-        // (adapted from react-native/react.gradle)
138
+        // Copy React assets
102
         //
139
         //
103
-
104
-        // React JS bundle directories
105
-        def jsBundleDir = file("${bundlePath}/assets")
106
-        def resourcesDir = file("${bundlePath}/res/merged")
107
-        def jsBundleFile = file("${jsBundleDir}/index.android.bundle")
108
-
109
-        // Bundle task name for variant.
110
-        def bundleJsAndAssetsTaskName = "bundle${buildNameCapitalized}JsAndAssets"
111
-
112
-        def currentBundleTask = tasks.create(
113
-                name: bundleJsAndAssetsTaskName,
114
-                type: Exec) {
115
-            // Set up inputs and outputs so gradle can cache the result.
116
-            def reactRoot = file("${projectDir}/../../")
117
-            inputs.files fileTree(dir: reactRoot, excludes: ['android/**', 'ios/**'])
118
-            outputs.dir jsBundleDir
119
-            outputs.dir resourcesDir
120
-
121
-            // Set up the call to the react-native cli.
122
-            workingDir reactRoot
123
-
124
-            // Create JS bundle
125
-            def devEnabled = !buildNameCapitalized.toLowerCase().contains('release')
126
-            commandLine(
127
-                'node',
128
-                'node_modules/react-native/local-cli/cli.js',
129
-                'bundle',
130
-                '--assets-dest', resourcesDir,
131
-                '--bundle-output', jsBundleFile,
132
-                '--dev', "${devEnabled}",
133
-                '--entry-file', 'index.android.js',
134
-                '--platform', 'android',
135
-                '--reset-cache')
136
-
137
-            // Disable bundling on dev builds
138
-            enabled !devEnabled
140
+        if (currentBundleTask.enabled) {
141
+            copy {
142
+                from(jsBundleDir)
143
+                into(assetsDir)
144
+            }
139
         }
145
         }
146
+    }
140
 
147
 
141
-        // Hook bundle${productFlavor}${buildType}JsAndAssets into the android build process
142
-        currentBundleTask.dependsOn("merge${buildNameCapitalized}Resources")
143
-        currentBundleTask.dependsOn("merge${buildNameCapitalized}Assets")
144
-
145
-        runBefore("processArmeabi-v7a${buildNameCapitalized}Resources", currentBundleTask)
146
-        runBefore("processX86${buildNameCapitalized}Resources", currentBundleTask)
147
-        runBefore("processUniversal${buildNameCapitalized}Resources", currentBundleTask)
148
-        runBefore("process${buildNameCapitalized}Resources", currentBundleTask)
148
+    variant.mergeResources.doLast {
149
+        // Copy React resources
150
+        //
151
+        if (currentBundleTask.enabled) {
152
+            copy {
153
+                from(resourcesDir)
154
+                into(variant.mergeResources.outputDir)
155
+            }
156
+        }
149
     }
157
     }
150
 }
158
 }
151
 
159
 
160
+
152
 publishing {
161
 publishing {
153
     publications {
162
     publications {
154
         aarArchive(MavenPublication) {
163
         aarArchive(MavenPublication) {

+ 31
- 31
ios/Podfile.lock 查看文件

1
 PODS:
1
 PODS:
2
   - boost-for-react-native (1.63.0)
2
   - boost-for-react-native (1.63.0)
3
-  - DoubleConversion (1.1.5)
3
+  - DoubleConversion (1.1.6)
4
   - FLAnimatedImage (1.0.12)
4
   - FLAnimatedImage (1.0.12)
5
-  - Folly (2016.09.26.00):
5
+  - Folly (2016.10.31.00):
6
     - boost-for-react-native
6
     - boost-for-react-native
7
     - DoubleConversion
7
     - DoubleConversion
8
     - glog
8
     - glog
9
-  - glog (0.3.4)
9
+  - glog (0.3.5)
10
   - GoogleSignIn (4.2.0):
10
   - GoogleSignIn (4.2.0):
11
     - "GoogleToolboxForMac/NSDictionary+URLArguments (~> 2.1)"
11
     - "GoogleToolboxForMac/NSDictionary+URLArguments (~> 2.1)"
12
     - "GoogleToolboxForMac/NSString+URLArguments (~> 2.1)"
12
     - "GoogleToolboxForMac/NSString+URLArguments (~> 2.1)"
28
   - GTMSessionFetcher/Full (1.2.0):
28
   - GTMSessionFetcher/Full (1.2.0):
29
     - GTMSessionFetcher/Core (= 1.2.0)
29
     - GTMSessionFetcher/Core (= 1.2.0)
30
   - ObjectiveDropboxOfficial (3.9.1)
30
   - ObjectiveDropboxOfficial (3.9.1)
31
-  - React (0.55.4):
32
-    - React/Core (= 0.55.4)
31
+  - React (0.57.1):
32
+    - React/Core (= 0.57.1)
33
   - react-native-background-timer (2.0.0):
33
   - react-native-background-timer (2.0.0):
34
     - React
34
     - React
35
   - react-native-calendar-events (1.6.2):
35
   - react-native-calendar-events (1.6.2):
45
     - React
45
     - React
46
   - react-native-webrtc (1.63.0):
46
   - react-native-webrtc (1.63.0):
47
     - React
47
     - React
48
-  - React/Core (0.55.4):
49
-    - yoga (= 0.55.4.React)
50
-  - React/CxxBridge (0.55.4):
51
-    - Folly (= 2016.09.26.00)
48
+  - React/Core (0.57.1):
49
+    - yoga (= 0.57.1.React)
50
+  - React/CxxBridge (0.57.1):
51
+    - Folly (= 2016.10.31.00)
52
     - React/Core
52
     - React/Core
53
     - React/cxxreact
53
     - React/cxxreact
54
-  - React/cxxreact (0.55.4):
54
+  - React/cxxreact (0.57.1):
55
     - boost-for-react-native (= 1.63.0)
55
     - boost-for-react-native (= 1.63.0)
56
-    - Folly (= 2016.09.26.00)
56
+    - Folly (= 2016.10.31.00)
57
     - React/jschelpers
57
     - React/jschelpers
58
     - React/jsinspector
58
     - React/jsinspector
59
-  - React/DevSupport (0.55.4):
59
+  - React/DevSupport (0.57.1):
60
     - React/Core
60
     - React/Core
61
     - React/RCTWebSocket
61
     - React/RCTWebSocket
62
-  - React/fishhook (0.55.4)
63
-  - React/jschelpers (0.55.4):
64
-    - Folly (= 2016.09.26.00)
62
+  - React/fishhook (0.57.1)
63
+  - React/jschelpers (0.57.1):
64
+    - Folly (= 2016.10.31.00)
65
     - React/PrivateDatabase
65
     - React/PrivateDatabase
66
-  - React/jsinspector (0.55.4)
67
-  - React/PrivateDatabase (0.55.4)
68
-  - React/RCTActionSheet (0.55.4):
66
+  - React/jsinspector (0.57.1)
67
+  - React/PrivateDatabase (0.57.1)
68
+  - React/RCTActionSheet (0.57.1):
69
     - React/Core
69
     - React/Core
70
-  - React/RCTAnimation (0.55.4):
70
+  - React/RCTAnimation (0.57.1):
71
     - React/Core
71
     - React/Core
72
-  - React/RCTBlob (0.55.4):
72
+  - React/RCTBlob (0.57.1):
73
     - React/Core
73
     - React/Core
74
-  - React/RCTImage (0.55.4):
74
+  - React/RCTImage (0.57.1):
75
     - React/Core
75
     - React/Core
76
     - React/RCTNetwork
76
     - React/RCTNetwork
77
-  - React/RCTLinkingIOS (0.55.4):
77
+  - React/RCTLinkingIOS (0.57.1):
78
     - React/Core
78
     - React/Core
79
-  - React/RCTNetwork (0.55.4):
79
+  - React/RCTNetwork (0.57.1):
80
     - React/Core
80
     - React/Core
81
-  - React/RCTText (0.55.4):
81
+  - React/RCTText (0.57.1):
82
     - React/Core
82
     - React/Core
83
-  - React/RCTWebSocket (0.55.4):
83
+  - React/RCTWebSocket (0.57.1):
84
     - React/Core
84
     - React/Core
85
     - React/fishhook
85
     - React/fishhook
86
     - React/RCTBlob
86
     - React/RCTBlob
98
   - SDWebImage/GIF (4.4.2):
98
   - SDWebImage/GIF (4.4.2):
99
     - FLAnimatedImage (~> 1.0)
99
     - FLAnimatedImage (~> 1.0)
100
     - SDWebImage/Core
100
     - SDWebImage/Core
101
-  - yoga (0.55.4.React)
101
+  - yoga (0.57.1.React)
102
 
102
 
103
 DEPENDENCIES:
103
 DEPENDENCIES:
104
   - DoubleConversion (from `../node_modules/react-native/third-party-podspecs/DoubleConversion.podspec`)
104
   - DoubleConversion (from `../node_modules/react-native/third-party-podspecs/DoubleConversion.podspec`)
169
 
169
 
170
 SPEC CHECKSUMS:
170
 SPEC CHECKSUMS:
171
   boost-for-react-native: 39c7adb57c4e60d6c5479dd8623128eb5b3f0f2c
171
   boost-for-react-native: 39c7adb57c4e60d6c5479dd8623128eb5b3f0f2c
172
-  DoubleConversion: e22e0762848812a87afd67ffda3998d9ef29170c
172
+  DoubleConversion: bb338842f62ab1d708ceb63ec3d999f0f3d98ecd
173
   FLAnimatedImage: 4a0b56255d9b05f18b6dd7ee06871be5d3b89e31
173
   FLAnimatedImage: 4a0b56255d9b05f18b6dd7ee06871be5d3b89e31
174
-  Folly: 211775e49d8da0ca658aebc8eab89d642935755c
175
-  glog: 1de0bb937dccdc981596d3b5825ebfb765017ded
174
+  Folly: c89ac2d5c6ab169cd7397ef27485c44f35f742c7
175
+  glog: e8acf0ebbf99759d3ff18c86c292a5898282dcde
176
   GoogleSignIn: 591e46382014e591269f862ba6e7bc0fbd793532
176
   GoogleSignIn: 591e46382014e591269f862ba6e7bc0fbd793532
177
   GoogleToolboxForMac: 91c824d21e85b31c2aae9bb011c5027c9b4e738f
177
   GoogleToolboxForMac: 91c824d21e85b31c2aae9bb011c5027c9b4e738f
178
   GTMOAuth2: c77fe325e4acd453837e72d91e3b5f13116857b2
178
   GTMOAuth2: c77fe325e4acd453837e72d91e3b5f13116857b2
179
   GTMSessionFetcher: 0c4baf0a73acd0041bf9f71ea018deedab5ea84e
179
   GTMSessionFetcher: 0c4baf0a73acd0041bf9f71ea018deedab5ea84e
180
   ObjectiveDropboxOfficial: 274ce69d66286c94416daf1da5237c55e105e8c0
180
   ObjectiveDropboxOfficial: 274ce69d66286c94416daf1da5237c55e105e8c0
181
-  React: aa2040dbb6f317b95314968021bd2888816e03d5
181
+  React: 1fe0eb13d90b625d94c3b117c274dcfd2e760e11
182
   react-native-background-timer: 63dcbf37dbcf294b5c6c071afcdc661fa06a7594
182
   react-native-background-timer: 63dcbf37dbcf294b5c6c071afcdc661fa06a7594
183
   react-native-calendar-events: fe6fbc8ed337a7423c98f2c9012b25f20444de09
183
   react-native-calendar-events: fe6fbc8ed337a7423c98f2c9012b25f20444de09
184
   react-native-fast-image: cba3d9bf9c2cf8ddb643d887a686c53a5dd90a2c
184
   react-native-fast-image: cba3d9bf9c2cf8ddb643d887a686c53a5dd90a2c
189
   RNSound: b360b3862d3118ed1c74bb9825696b5957686ac4
189
   RNSound: b360b3862d3118ed1c74bb9825696b5957686ac4
190
   RNVectorIcons: c0dbfbf6068fefa240c37b0f71bd03b45dddac44
190
   RNVectorIcons: c0dbfbf6068fefa240c37b0f71bd03b45dddac44
191
   SDWebImage: 624d6e296c69b244bcede364c72ae0430ac14681
191
   SDWebImage: 624d6e296c69b244bcede364c72ae0430ac14681
192
-  yoga: a23273df0088bf7f2bb7e5d7b00044ea57a2a54a
192
+  yoga: b1ce48b6cf950b98deae82838f5173ea7cf89e85
193
 
193
 
194
 PODFILE CHECKSUM: cf8276ba4b0933b24c6082a25a5f4eabe0ba4ea6
194
 PODFILE CHECKSUM: cf8276ba4b0933b24c6082a25a5f4eabe0ba4ea6
195
 
195
 

+ 5
- 1
ios/app/app.xcodeproj/project.pbxproj 查看文件

138
 		83CBB9F71A601CBA00E9B192 /* Project object */ = {
138
 		83CBB9F71A601CBA00E9B192 /* Project object */ = {
139
 			isa = PBXProject;
139
 			isa = PBXProject;
140
 			attributes = {
140
 			attributes = {
141
-				LastUpgradeCheck = 0920;
141
+				LastUpgradeCheck = 1000;
142
 				ORGANIZATIONNAME = Facebook;
142
 				ORGANIZATIONNAME = Facebook;
143
 				TargetAttributes = {
143
 				TargetAttributes = {
144
 					13B07F861A680F5B00A75B9A = {
144
 					13B07F861A680F5B00A75B9A = {
327
 				CLANG_WARN_BOOL_CONVERSION = YES;
327
 				CLANG_WARN_BOOL_CONVERSION = YES;
328
 				CLANG_WARN_COMMA = YES;
328
 				CLANG_WARN_COMMA = YES;
329
 				CLANG_WARN_CONSTANT_CONVERSION = YES;
329
 				CLANG_WARN_CONSTANT_CONVERSION = YES;
330
+				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
330
 				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
331
 				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
331
 				CLANG_WARN_EMPTY_BODY = YES;
332
 				CLANG_WARN_EMPTY_BODY = YES;
332
 				CLANG_WARN_ENUM_CONVERSION = YES;
333
 				CLANG_WARN_ENUM_CONVERSION = YES;
333
 				CLANG_WARN_INFINITE_RECURSION = YES;
334
 				CLANG_WARN_INFINITE_RECURSION = YES;
334
 				CLANG_WARN_INT_CONVERSION = YES;
335
 				CLANG_WARN_INT_CONVERSION = YES;
335
 				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
336
 				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
337
+				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
336
 				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
338
 				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
337
 				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
339
 				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
338
 				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
340
 				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
383
 				CLANG_WARN_BOOL_CONVERSION = YES;
385
 				CLANG_WARN_BOOL_CONVERSION = YES;
384
 				CLANG_WARN_COMMA = YES;
386
 				CLANG_WARN_COMMA = YES;
385
 				CLANG_WARN_CONSTANT_CONVERSION = YES;
387
 				CLANG_WARN_CONSTANT_CONVERSION = YES;
388
+				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
386
 				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
389
 				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
387
 				CLANG_WARN_EMPTY_BODY = YES;
390
 				CLANG_WARN_EMPTY_BODY = YES;
388
 				CLANG_WARN_ENUM_CONVERSION = YES;
391
 				CLANG_WARN_ENUM_CONVERSION = YES;
389
 				CLANG_WARN_INFINITE_RECURSION = YES;
392
 				CLANG_WARN_INFINITE_RECURSION = YES;
390
 				CLANG_WARN_INT_CONVERSION = YES;
393
 				CLANG_WARN_INT_CONVERSION = YES;
391
 				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
394
 				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
395
+				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
392
 				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
396
 				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
393
 				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
397
 				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
394
 				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
398
 				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;

+ 1
- 3
ios/app/app.xcodeproj/xcshareddata/xcschemes/jitsi-meet.xcscheme 查看文件

1
 <?xml version="1.0" encoding="UTF-8"?>
1
 <?xml version="1.0" encoding="UTF-8"?>
2
 <Scheme
2
 <Scheme
3
-   LastUpgradeVersion = "0920"
3
+   LastUpgradeVersion = "1000"
4
    version = "1.3">
4
    version = "1.3">
5
    <BuildAction
5
    <BuildAction
6
       parallelizeBuildables = "NO"
6
       parallelizeBuildables = "NO"
40
       buildConfiguration = "Debug"
40
       buildConfiguration = "Debug"
41
       selectedDebuggerIdentifier = "Xcode.DebuggerFoundation.Debugger.LLDB"
41
       selectedDebuggerIdentifier = "Xcode.DebuggerFoundation.Debugger.LLDB"
42
       selectedLauncherIdentifier = "Xcode.DebuggerFoundation.Launcher.LLDB"
42
       selectedLauncherIdentifier = "Xcode.DebuggerFoundation.Launcher.LLDB"
43
-      language = ""
44
       shouldUseLaunchSchemeArgsEnv = "YES">
43
       shouldUseLaunchSchemeArgsEnv = "YES">
45
       <Testables>
44
       <Testables>
46
       </Testables>
45
       </Testables>
60
       buildConfiguration = "Debug"
59
       buildConfiguration = "Debug"
61
       selectedDebuggerIdentifier = "Xcode.DebuggerFoundation.Debugger.LLDB"
60
       selectedDebuggerIdentifier = "Xcode.DebuggerFoundation.Debugger.LLDB"
62
       selectedLauncherIdentifier = "Xcode.DebuggerFoundation.Launcher.LLDB"
61
       selectedLauncherIdentifier = "Xcode.DebuggerFoundation.Launcher.LLDB"
63
-      language = ""
64
       launchStyle = "0"
62
       launchStyle = "0"
65
       useCustomWorkingDirectory = "NO"
63
       useCustomWorkingDirectory = "NO"
66
       ignoresPersistentStateOnLaunch = "NO"
64
       ignoresPersistentStateOnLaunch = "NO"

+ 6
- 3
ios/scripts/run-packager.sh 查看文件

3
 # This script is executed from Xcode to start the React packager for Debug
3
 # This script is executed from Xcode to start the React packager for Debug
4
 # targets.
4
 # targets.
5
 
5
 
6
+export RCT_METRO_PORT="${RCT_METRO_PORT:=8081}"
7
+echo "export RCT_METRO_PORT=${RCT_METRO_PORT}" > "${SRCROOT}/../../node_modules/react-native/scripts/.packager.env"
6
 
8
 
7
 if [[ "$CONFIGURATION" = "Debug" ]]; then
9
 if [[ "$CONFIGURATION" = "Debug" ]]; then
8
-  if nc -w 5 -z localhost 8081 ; then
9
-    if ! curl -s "http://localhost:8081/status" | grep -q "packager-status:running" ; then
10
-      echo "Port 8081 already in use, packager is either not running or not running correctly"
10
+  if nc -w 5 -z localhost ${RCT_METRO_PORT} ; then
11
+    if ! curl -s "http://localhost:${RCT_METRO_PORT}/status" | grep -q "packager-status:running" ; then
12
+      echo "Port ${RCT_METRO_PORT} already in use, packager is either not running or not running correctly"
11
       exit 2
13
       exit 2
12
     fi
14
     fi
13
   else
15
   else
14
     open -g "$SRCROOT/../../node_modules/react-native/scripts/launchPackager.command" || echo "Can't start packager automatically"
16
     open -g "$SRCROOT/../../node_modules/react-native/scripts/launchPackager.command" || echo "Can't start packager automatically"
15
   fi
17
   fi
16
 fi
18
 fi
19
+

+ 6
- 1
ios/sdk/sdk.xcodeproj/project.pbxproj 查看文件

301
 		0BD906DC1EC0C00300C8C18E /* Project object */ = {
301
 		0BD906DC1EC0C00300C8C18E /* Project object */ = {
302
 			isa = PBXProject;
302
 			isa = PBXProject;
303
 			attributes = {
303
 			attributes = {
304
-				LastUpgradeCheck = 0920;
304
+				LastUpgradeCheck = 1000;
305
 				ORGANIZATIONNAME = Jitsi;
305
 				ORGANIZATIONNAME = Jitsi;
306
 				TargetAttributes = {
306
 				TargetAttributes = {
307
 					0BD906E41EC0C00300C8C18E = {
307
 					0BD906E41EC0C00300C8C18E = {
470
 				CLANG_WARN_BOOL_CONVERSION = YES;
470
 				CLANG_WARN_BOOL_CONVERSION = YES;
471
 				CLANG_WARN_COMMA = YES;
471
 				CLANG_WARN_COMMA = YES;
472
 				CLANG_WARN_CONSTANT_CONVERSION = YES;
472
 				CLANG_WARN_CONSTANT_CONVERSION = YES;
473
+				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
473
 				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
474
 				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
474
 				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
475
 				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
475
 				CLANG_WARN_EMPTY_BODY = YES;
476
 				CLANG_WARN_EMPTY_BODY = YES;
477
 				CLANG_WARN_INFINITE_RECURSION = YES;
478
 				CLANG_WARN_INFINITE_RECURSION = YES;
478
 				CLANG_WARN_INT_CONVERSION = YES;
479
 				CLANG_WARN_INT_CONVERSION = YES;
479
 				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
480
 				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
481
+				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
480
 				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
482
 				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
481
 				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
483
 				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
482
 				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
484
 				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
529
 				CLANG_WARN_BOOL_CONVERSION = YES;
531
 				CLANG_WARN_BOOL_CONVERSION = YES;
530
 				CLANG_WARN_COMMA = YES;
532
 				CLANG_WARN_COMMA = YES;
531
 				CLANG_WARN_CONSTANT_CONVERSION = YES;
533
 				CLANG_WARN_CONSTANT_CONVERSION = YES;
534
+				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
532
 				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
535
 				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
533
 				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
536
 				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
534
 				CLANG_WARN_EMPTY_BODY = YES;
537
 				CLANG_WARN_EMPTY_BODY = YES;
536
 				CLANG_WARN_INFINITE_RECURSION = YES;
539
 				CLANG_WARN_INFINITE_RECURSION = YES;
537
 				CLANG_WARN_INT_CONVERSION = YES;
540
 				CLANG_WARN_INT_CONVERSION = YES;
538
 				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
541
 				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
542
+				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
539
 				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
543
 				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
540
 				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
544
 				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
541
 				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
545
 				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
561
 				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
565
 				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
562
 				MTL_ENABLE_DEBUG_INFO = NO;
566
 				MTL_ENABLE_DEBUG_INFO = NO;
563
 				SDKROOT = iphoneos;
567
 				SDKROOT = iphoneos;
568
+				SWIFT_COMPILATION_MODE = wholemodule;
564
 				TARGETED_DEVICE_FAMILY = "1,2";
569
 				TARGETED_DEVICE_FAMILY = "1,2";
565
 				VALIDATE_PRODUCT = YES;
570
 				VALIDATE_PRODUCT = YES;
566
 				VERSIONING_SYSTEM = "apple-generic";
571
 				VERSIONING_SYSTEM = "apple-generic";

+ 1
- 3
ios/sdk/sdk.xcodeproj/xcshareddata/xcschemes/JitsiMeet.xcscheme 查看文件

1
 <?xml version="1.0" encoding="UTF-8"?>
1
 <?xml version="1.0" encoding="UTF-8"?>
2
 <Scheme
2
 <Scheme
3
-   LastUpgradeVersion = "0920"
3
+   LastUpgradeVersion = "1000"
4
    version = "1.7">
4
    version = "1.7">
5
    <BuildAction
5
    <BuildAction
6
       parallelizeBuildables = "YES"
6
       parallelizeBuildables = "YES"
26
       buildConfiguration = "Debug"
26
       buildConfiguration = "Debug"
27
       selectedDebuggerIdentifier = "Xcode.DebuggerFoundation.Debugger.LLDB"
27
       selectedDebuggerIdentifier = "Xcode.DebuggerFoundation.Debugger.LLDB"
28
       selectedLauncherIdentifier = "Xcode.DebuggerFoundation.Launcher.LLDB"
28
       selectedLauncherIdentifier = "Xcode.DebuggerFoundation.Launcher.LLDB"
29
-      language = ""
30
       shouldUseLaunchSchemeArgsEnv = "YES">
29
       shouldUseLaunchSchemeArgsEnv = "YES">
31
       <Testables>
30
       <Testables>
32
       </Testables>
31
       </Testables>
37
       buildConfiguration = "Debug"
36
       buildConfiguration = "Debug"
38
       selectedDebuggerIdentifier = "Xcode.DebuggerFoundation.Debugger.LLDB"
37
       selectedDebuggerIdentifier = "Xcode.DebuggerFoundation.Debugger.LLDB"
39
       selectedLauncherIdentifier = "Xcode.DebuggerFoundation.Launcher.LLDB"
38
       selectedLauncherIdentifier = "Xcode.DebuggerFoundation.Launcher.LLDB"
40
-      language = ""
41
       launchStyle = "0"
39
       launchStyle = "0"
42
       useCustomWorkingDirectory = "NO"
40
       useCustomWorkingDirectory = "NO"
43
       ignoresPersistentStateOnLaunch = "NO"
41
       ignoresPersistentStateOnLaunch = "NO"

+ 4
- 3
package.json 查看文件

61
     "react": "16.5.0",
61
     "react": "16.5.0",
62
     "react-dom": "16.5.0",
62
     "react-dom": "16.5.0",
63
     "react-i18next": "4.8.0",
63
     "react-i18next": "4.8.0",
64
-    "react-native": "0.55.4",
64
+    "react-native": "0.57.1",
65
     "react-native-background-timer": "2.0.0",
65
     "react-native-background-timer": "2.0.0",
66
     "react-native-calendar-events": "github:wmcmahan/react-native-calendar-events#cb2731db6684a49b4343e09de7f9c2fcc68bcd9b",
66
     "react-native-calendar-events": "github:wmcmahan/react-native-calendar-events#cb2731db6684a49b4343e09de7f9c2fcc68bcd9b",
67
     "react-native-callstats": "3.53.4",
67
     "react-native-callstats": "3.53.4",
74
     "react-native-prompt": "1.0.0",
74
     "react-native-prompt": "1.0.0",
75
     "react-native-sound": "0.10.9",
75
     "react-native-sound": "0.10.9",
76
     "react-native-swipeout": "2.3.6",
76
     "react-native-swipeout": "2.3.6",
77
-    "react-native-vector-icons": "4.4.2",
77
+    "react-native-vector-icons": "5.0.0",
78
     "react-native-webrtc": "github:jitsi/react-native-webrtc#be3de15bb988cfabbb62cd4b3b06f4c920ee5ba0",
78
     "react-native-webrtc": "github:jitsi/react-native-webrtc#be3de15bb988cfabbb62cd4b3b06f4c920ee5ba0",
79
     "react-redux": "5.0.7",
79
     "react-redux": "5.0.7",
80
     "react-transition-group": "2.4.0",
80
     "react-transition-group": "2.4.0",
106
     "eslint-plugin-react-native": "3.3.0",
106
     "eslint-plugin-react-native": "3.3.0",
107
     "expose-loader": "0.7.4",
107
     "expose-loader": "0.7.4",
108
     "file-loader": "1.1.5",
108
     "file-loader": "1.1.5",
109
-    "flow-bin": "0.67.1",
109
+    "flow-bin": "0.78.0",
110
     "imports-loader": "0.7.1",
110
     "imports-loader": "0.7.1",
111
+    "metro-react-native-babel-preset": "0.47.0",
111
     "node-sass": "4.8.3",
112
     "node-sass": "4.8.3",
112
     "precommit-hook": "3.0.0",
113
     "precommit-hook": "3.0.0",
113
     "string-replace-loader": "1.3.0",
114
     "string-replace-loader": "1.3.0",

Loading…
取消
儲存